Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.charts
Class TestCaseBuildTimesChart

    java.lang.Object
      com.atlassian.bamboo.charts.AbstractBambooChart
          com.atlassian.bamboo.charts.TestCaseBuildTimesChart

All Implemented Interfaces:
  ChartBuilder

    public class TestCaseBuildTimesChart

extends AbstractBambooChart

Field Summary

Fields inherited from class com.atlassian.bamboo.charts.AbstractBambooChart
`chartTitle, contextPath, height, shortUrlUsed, width, xAxisLabel, yAxisLabel`

Constructor Summary
`TestCaseBuildTimesChart(int height, int width, String chartTitle, String xAxisLabel, String yAxisLabel, TestCase testCase)`

Method Summary
`protected void` | `addDataSet(ResultStatisticsProvider result, CategoryTableXYDataset categoryTableXYDataSet)`
`protected JFreeChart` | `generateChart(CategoryTableXYDataset dataSet)`
`Map` | `generateChartParams()`
`String` | `generateToolTip(XYDataset dataset, int row, int column)`
`String` | `generateURL(XYDataset dataset, int row, int column)`
`protected JFreeChart` | `getChart()`

Methods inherited from class com.atlassian.bamboo.charts.AbstractBambooChart
`generateChartImage, generateChartImage, generateRandomMapName, getChartTitle, getContextPath, getHeight, getWidth, getxAxisLabel, getyAxisLabel, isShortUrlUsed, setChartTitle, setContextPath, setHeight, setShortUrlUsed, setWidth, setxAxisLabel, setyAxisLabel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestCaseBuildTimesChart

    public TestCaseBuildTimesChart(int height,
                                   int width,
                                   String chartTitle,
                                   String xAxisLabel,
                                   String yAxisLabel,
                                   TestCase testCase)

Method Detail

### addDataSet

    protected void addDataSet(ResultStatisticsProvider result,
                              CategoryTableXYDataset categoryTableXYDataSet)

### generateChartParams

    public Map generateChartParams()

### generateChart

    protected JFreeChart generateChart(CategoryTableXYDataset dataSet)

### getChart

    protected JFreeChart getChart()

### generateToolTip

    public String generateToolTip(XYDataset dataset,
                                  int row,
                                  int column)

### generateURL

    public String generateURL(XYDataset dataset,
                              int row,
                              int column)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.